### Method

# Gio SocketClient set_socket_type

since: 2.22

#### Declaration

    void
    g_socket_client_set_socket_type (
      GSocketClient* client,
      GSocketType type
    )

#### Description

Sets the socket type of the socket client. The sockets created by this object will be of the specified type.

It doesn’t make sense to specify a type of `G_SOCKET_TYPE_DATAGRAM`, as GSocketClient is used for connection oriented services.

Available since: 2.22

#### Parameters

`type`

  Type: `GSocketType`

  A `GSocketType`.